package com.dsic.gj_erp.bean.zyjh;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsic.gj_erp.controller.zyjh.dto.ShangLiao;
import lombok.Getter;
import lombok.Setter;

/**
 * 预处理垛位层数信息
 */
@Getter
@Setter
public class YcldwInfo {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer dwId;
    private Integer ceng;
    private String czbh;
    private String pl;
    private String fd;
    private String kw;
    private String zl;
    private String tlth;

    private String wph;
    private String wpgg;
    private String sljhrq;
    private String qgjhrq;
    private String bfr;//摆放人
    private String bfrq;//摆放日期
    private ZtEnum zt;

    public static YcldwInfo ofSl(ShangLiao sl){
        YcldwInfo info=new YcldwInfo();
        BeanUtil.copyProperties(sl,info);
        info.sl();
        return info;
    }

    private void sl(){
        this.bfrq= DateUtil.date().toString("yyyy/MM/dd");
        this.baifang();
    }

    private void baifang(){
        this.zt=ZtEnum.BF;
    }

    public void paowan(){
        this.zt=ZtEnum.PW;
    }

    private enum ZtEnum{
        BF,PW
    }
}
