package com.dsic.gj_erp.controller.txzz;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jt.供应商管理;
import com.dsic.gj_erp.service.txzz.I供应商管理Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【请填写功能名称】Controller
 * 
 * @author ruoyi
 * @date 2024-06-26
 */
@RestController
@RequestMapping("/system/供应商管理")
public class 供应商管理Controller{
    @Autowired
    private I供应商管理Service 供应商管理Service;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public ResultBean list(供应商管理 供应商管理)
    {
        List<供应商管理> list = 供应商管理Service.select供应商管理List(供应商管理);
        return new ResultBean(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @PostMapping("/export")
    public void export(HttpServletResponse response, 供应商管理 供应商管理)
    {
        List<供应商管理> list = 供应商管理Service.select供应商管理List(供应商管理);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{供应商编码}")
    public ResultBean getInfo(@PathVariable("供应商编码") String 供应商编码)
    {
        供应商管理Service.select供应商管理By供应商编码(供应商编码);
        return new ResultBean();
    }

    /**
     * 新增【请填写功能名称】
     */
    @PostMapping
    public ResultBean add(@RequestBody 供应商管理 供应商管理)
    {
        供应商管理Service.insert供应商管理(供应商管理);
        return new ResultBean();
    }

    /**
     * 修改【请填写功能名称】
     */
    @PutMapping
    public ResultBean edit(@RequestBody 供应商管理 供应商管理)
    {
        供应商管理Service.update供应商管理(供应商管理);
        return new ResultBean();
    }

    /**
     * 删除【请填写功能名称】
     */
	@DeleteMapping("/{供应商编码s}")
    public ResultBean remove(@PathVariable String[] 供应商编码s)
    {
        供应商管理Service.delete供应商管理By供应商编码s(供应商编码s);
        return new ResultBean();
    }
}
