package com.dsic.gj_erp.service.pgd.impl;

import cn.hutool.core.date.DateUtil;
import com.dsic.gj_erp.bean.jhgk.DmYdjhLj;
import com.dsic.gj_erp.bean.pgd.PgdDmjh;
import com.dsic.gj_erp.bean.pgd.PgdPkjh;
import com.dsic.gj_erp.bean.pgd.PgdPwjh;
import com.dsic.gj_erp.bean.pgd.PgdQgjh;
import com.dsic.gj_erp.mapper.pgd.PgdDmjhMapper;
import com.dsic.gj_erp.service.jhgk.DmYdjhLjService;
import com.dsic.gj_erp.service.pgd.PgdDmjhService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Service
public class PgdDmjhServiceImpl extends ServiceImpl<PgdDmjhMapper, PgdDmjh> implements PgdDmjhService {
    @Autowired
    DmYdjhLjService dmYdjhLjService;


    @Override
    public void saveDmPgdXd(List<DmYdjhLj> dmjhs, HttpServletRequest request) {
        List<DmYdjhLj>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            DmYdjhLj e= new DmYdjhLj();
            e.setDmXfry((String) request.getAttribute("yhms"));
            e.setDmXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setDscdw(f.getDscdw());
            e.setDscry(f.getDscry());
            e.setDmZt("02");
            e.setId(f.getId());
            ups.add(e);
        });
        dmYdjhLjService.updateBatchById(ups);
    }

    @Override
    public void saveDmPgdJs(List<DmYdjhLj> dmjhs, HttpServletRequest request) {
        List<DmYdjhLj>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            DmYdjhLj e= new DmYdjhLj();
            e.setDjsry((String) request.getAttribute("yhms"));
            e.setDjsrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setDmZt("03");
            e.setId(f.getId());
            ups.add(e);
        });
        dmYdjhLjService.updateBatchById(ups);
    }

    @Override
    public void saveDmPgdFk(List<DmYdjhLj> dmjhs, HttpServletRequest request) {
        List<DmYdjhLj>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            DmYdjhLj e= new DmYdjhLj();
            e.setDmFkry((String) request.getAttribute("yhms"));
            e.setDmFkrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setDmZt("04");
            e.setDmFkyy(f.getDmFkyy());
            e.setId(f.getId());
            ups.add(e);
        });
        dmYdjhLjService.updateBatchById(ups);
    }

    @Override
    public void saveDmPgdXdBack(List<DmYdjhLj> dmjhs, HttpServletRequest request) {

        List<DmYdjhLj>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            DmYdjhLj e= new DmYdjhLj();
            e.setDmXfry((String) request.getAttribute("yhms"));
            e.setDmXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            if(f.getDmZt().equals("02")){
                e.setDmZt("01");
            }
            e.setId(f.getId());
            ups.add(e);
        });
        dmYdjhLjService.updateBatchById(ups);
    }

    @Override
    public void saveDmFk(List<DmYdjhLj> dmjhs, HttpServletRequest request) {
        List<PgdDmjh>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            PgdDmjh e= new PgdDmjh();
            e.setDmry(e.getDmry());
            e.setDmksrq(e.getDmksrq());
            e.setDmjsrq(e.getDmjsrq());
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
}
